VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "File Icons - Extracting Icons From Files"
   ClientHeight    =   4590
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   204
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   306
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   312
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox picIcon 
      Height          =   1095
      Left            =   120
      ScaleHeight     =   69
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   293
      TabIndex        =   4
      Top             =   2400
      Width           =   4455
   End
   Begin VB.ComboBox cboIcons 
      Height          =   315
      Left            =   2400
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   2040
      Width           =   2175
   End
   Begin VB.FileListBox fil 
      Height          =   1845
      Left            =   2400
      Pattern         =   "*.exe;*.dll;*.ico"
      TabIndex        =   2
      Top             =   120
      Width           =   2175
   End
   Begin VB.DriveListBox drv 
      Height          =   315
      Left            =   120
      TabIndex        =   1
      Top             =   2040
      Width           =   2175
   End
   Begin VB.DirListBox dir 
      Height          =   1890
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2175
   End
   Begin VB.Label lblAbout 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      Caption         =   "ICQ: 10669758"
      ForeColor       =   &H80000008&
      Height          =   195
      Index           =   3
      Left            =   3465
      TabIndex        =   8
      Top             =   4320
      Width           =   1110
   End
   Begin VB.Label lblAbout 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      Caption         =   "genghis86@hotmail.com"
      ForeColor       =   &H80000008&
      Height          =   195
      Index           =   2
      Left            =   2835
      TabIndex        =   7
      Top             =   4080
      Width           =   1740
   End
   Begin VB.Label lblAbout 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      Caption         =   "http://vbmonster.cjb.net/"
      ForeColor       =   &H80000008&
      Height          =   195
      Index           =   1
      Left            =   2700
      TabIndex        =   6
      Top             =   3840
      Width           =   1875
   End
   Begin VB.Label lblAbout 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      Caption         =   "This example was brought to you by Visual Basic Monster"
      ForeColor       =   &H80000008&
      Height          =   195
      Index           =   0
      Left            =   480
      TabIndex        =   5
      Top             =   3600
      Width           =   4095
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Declare Function ExtractIcon Lib "shell32.dll" Alias "ExtractIconA" (ByVal hInst As Long, ByVal lpszExeFileName As String, ByVal nIconIndex As Long) As Long
Private Declare Function DestroyIcon Lib "user32" (ByVal hIcon As Long) As Long
Private Declare Function DrawIcon Lib "user32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long, ByVal hIcon As Long) As Long
Dim sFileName As String
Private Sub cboIcons_Click()
Dim hIcon As Long, nX As Integer, nY As Integer
hIcon = ExtractIcon(0, fil.Path & "\" & sFileName, cboIcons.ListIndex)
picIcon.Cls
nX = (picIcon.ScaleWidth \ 2) - 16
nY = (picIcon.ScaleHeight \ 2) - 16
DrawIcon picIcon.hdc, nX, nY, hIcon
DestroyIcon hIcon
End Sub

Private Sub dir_Change()
fil.Path = dir.Path
End Sub
Private Sub drv_Change()
dir.Path = drv.Drive
End Sub
Private Sub fil_Click()
Dim I As Integer, nCount As Integer
sFileName = fil.FileName
cboIcons.Clear
'See how many icons the file has
nCount = ExtractIcon(0, fil.Path & "\" & sFileName, -1)
'quit if it does not have any
If nCount < 1 Then Exit Sub
'add them to the combobox
For I = 0 To nCount - 1
    cboIcons.AddItem "Icon #" + CStr(I)
Next I
'show how many icons we got
cboIcons.ListIndex = cboIcons.NewIndex
End Sub

